Unmet Multimedia Dependencies on LMDE RC?

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Unmet Multimedia Dependencies on LMDE RC?

Postby Carl on Mon Sep 12, 2011 6:09 pm

I think I read something about this being caused by some packages being updated in update pack 2 and others not being updated until update pack3?

as I've been getting a number of problems like this

Code: Select all
The following packages have unmet dependencies:
 xbmc : Depends: xbmc-bin (>= 10.1-0.7) but it is not going to be installed
        Depends: xbmc-data (>= 10.1-0.7) but it is not going to be installed
        Depends: xbmc-skin-confluence (>= 10.1-0.7) but it is not going to be installed
E: Broken packages
[AMD Sempron 145 2.8GHz + Unlocked 2nd Core|ATI Radeon™ HD3000 Graphics|4GB DDR3|Biostar A780L3L]
Image
User avatar
Carl
Level 5
Level 5
 
Posts: 667
Joined: Wed Apr 15, 2009 5:20 pm
Location: West Sussex, UK

Linux Mint is funded by ads and donations.
 

Re: Unmet Multimedia Dependencies on LMDE RC?

Postby zerozero on Tue Sep 13, 2011 10:24 am

what does
Code: Select all
inxi -r
says? are you following latest, incoming or testing (oh boy, it's gonna be hard to get used to all these options :lol: )
because atm, here following incoming i get this

Code: Select all
amadeu@amix ~ $ apt-cache policy xbmc
xbmc:
  Installed: (none)
  Candidate: 10.1-0.7
  Version table:
     10.1-0.7 0
        500 http://debian.linuxmint.com/incoming/multimedia/ testing/main amd64 Packages
amadeu@amix ~ $ sudo apt-get -s install xbmc
[sudo] password for amadeu:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following package was automatically installed and is no longer required:
  libjs-prototype
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libavformat53 libmicrohttpd5 libmikmod2 libmysqlclient16 libpcrecpp0
  libsdl-mixer1.2 libsmpeg0 libssh-4 libva-glx1 mysql-common xbmc-bin
  xbmc-data xbmc-skin-confluence
Suggested packages:
  xbmc-third-parties xbmc-test-helper
The following NEW packages will be installed:
  libavformat53 libmicrohttpd5 libmikmod2 libmysqlclient16 libpcrecpp0
  libsdl-mixer1.2 libsmpeg0 libssh-4 libva-glx1 mysql-common xbmc xbmc-bin
  xbmc-data xbmc-skin-confluence
0 upgraded, 14 newly installed, 0 to remove and 1 not upgraded.
Inst libavformat53 (5:0.8.2-0.0 Unofficial Multimedia Packages:None/testing [amd64])
Inst libpcrecpp0 (8.12-4 Debian:testing [amd64])
Inst libssh-4 (0.5.1-1 Debian:testing [amd64])
Inst libmicrohttpd5 (0.4.6-1 Debian:testing [amd64])
Inst libmikmod2 (3.1.11-a-6.4 Debian:testing [amd64])
Inst mysql-common (5.1.58-1 Debian:testing [all])
Inst libmysqlclient16 (5.1.58-1 Debian:testing [amd64])
Inst libsmpeg0 (0.4.5+cvs20030824-2.2 Debian:testing [amd64])
Inst libsdl-mixer1.2 (1.2.8-6.3 Debian:testing [amd64])
Inst libva-glx1 (1.0.12-2 Debian:testing [amd64])
Inst xbmc-bin (10.1-0.7 Unofficial Multimedia Packages:None/testing [amd64])
Inst xbmc-data (10.1-0.7 Unofficial Multimedia Packages:None/testing [all])
Inst xbmc-skin-confluence (10.1-0.7 Unofficial Multimedia Packages:None/testing [all])
Inst xbmc (10.1-0.7 Unofficial Multimedia Packages:None/testing [all])
Conf libavformat53 (5:0.8.2-0.0 Unofficial Multimedia Packages:None/testing [amd64])
Conf libpcrecpp0 (8.12-4 Debian:testing [amd64])
Conf libssh-4 (0.5.1-1 Debian:testing [amd64])
Conf libmicrohttpd5 (0.4.6-1 Debian:testing [amd64])
Conf libmikmod2 (3.1.11-a-6.4 Debian:testing [amd64])
Conf mysql-common (5.1.58-1 Debian:testing [all])
Conf libmysqlclient16 (5.1.58-1 Debian:testing [amd64])
Conf libsmpeg0 (0.4.5+cvs20030824-2.2 Debian:testing [amd64])
Conf libsdl-mixer1.2 (1.2.8-6.3 Debian:testing [amd64])
Conf libva-glx1 (1.0.12-2 Debian:testing [amd64])
Conf xbmc-bin (10.1-0.7 Unofficial Multimedia Packages:None/testing [amd64])
Conf xbmc-data (10.1-0.7 Unofficial Multimedia Packages:None/testing [all])
Conf xbmc-skin-confluence (10.1-0.7 Unofficial Multimedia Packages:None/testing [all])
Conf xbmc (10.1-0.7 Unofficial Multimedia Packages:None/testing [all])
amadeu@amix ~ $

so i think you are right (assuming you are following latest), not all the deps are available atm, they will be with update-pack3
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6488
Joined: Tue Jul 07, 2009 2:29 pm

Re: Unmet Multimedia Dependencies on LMDE RC?

Postby Carl on Tue Sep 13, 2011 10:36 am

I'm on the Latest repo I believe

output of inxi -r

Code: Select all
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.linuxmint.com/ debian main upstream import
           deb http://debian.linuxmint.com/latest testing main contrib non-free
           deb http://security.debian.org/ testing/updates main contrib non-free
           deb http://www.debian-multimedia.org testing main non-free
           deb http://liquorix.net/debian sid main
           deb http://hadret.rootnode.net/debian/ unstable main
           deb-src http://hadret.rootnode.net/debian/ unstable main
           Active apt sources in file: /etc/apt/sources.list.d/dropbox.list
           deb http://linux.dropbox.com/ubuntu maverick main


hmm... I don't remember adding that Ubuntu repo :?

Thanks for answering my question :D
[AMD Sempron 145 2.8GHz + Unlocked 2nd Core|ATI Radeon™ HD3000 Graphics|4GB DDR3|Biostar A780L3L]
Image
User avatar
Carl
Level 5
Level 5
 
Posts: 667
Joined: Wed Apr 15, 2009 5:20 pm
Location: West Sussex, UK

Re: Unmet Multimedia Dependencies on LMDE RC?

Postby ukbrian on Tue Sep 13, 2011 10:54 am

To install dropbox I use the info on this page http://antrix.net/posts/2008/dropbox-without-gnome/
User avatar
ukbrian
Level 4
Level 4
 
Posts: 276
Joined: Thu Jul 29, 2010 6:03 am
Location: Cheltenham, UK

Re: Unmet Multimedia Dependencies on LMDE RC?

Postby Carl on Tue Sep 13, 2011 11:06 am

ukbrian wrote:To install dropbox I use the info on this page http://antrix.net/posts/2008/dropbox-without-gnome/


I just installed it from the repo so it must have something to do with that :roll:
[AMD Sempron 145 2.8GHz + Unlocked 2nd Core|ATI Radeon™ HD3000 Graphics|4GB DDR3|Biostar A780L3L]
Image
User avatar
Carl
Level 5
Level 5
 
Posts: 667
Joined: Wed Apr 15, 2009 5:20 pm
Location: West Sussex, UK

Re: Unmet Multimedia Dependencies on LMDE RC?

Postby zerozero on Tue Sep 13, 2011 12:16 pm

probably they use the same approach google uses with chrome/ium, adding the repo to sources.list/d when you install the pkg;

as for the first question, yes you are in latest, so must be that sync question
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6488
Joined: Tue Jul 07, 2009 2:29 pm


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 5 guests